Package io.yellowbrick.jdbc.oauth2

## Class OAuth2Authorizer

- java.lang.Object
- - io.yellowbrick.jdbc.oauth2.OAuth2Authorizer

All Implemented Interfaces:
  `DriverConstants`

    public class OAuth2Authorizer
    extends Object
    implements DriverConstants

### Field Summary

### Fields inherited from interface io.yellowbrick.jdbc.DriverConstants

`PG_URL_PREFIX, YB_JDBC_OAUTH2_AUDIENCE, YB_JDBC_OAUTH2_CACERT_PATH, YB_JDBC_OAUTH2_CLIENT_ID, YB_JDBC_OAUTH2_CLIENT_SECRET, YB_JDBC_OAUTH2_DISABLE_TRUST, YB_JDBC_OAUTH2_ISSUER, YB_JDBC_OAUTH2_LOGIN_HINT, YB_JDBC_OAUTH2_NO_BROWSER, YB_JDBC_OAUTH2_QUIET, YB_JDBC_OAUTH2_SCOPES, YB_JDBC_OAUTH2_SCOPES_DEFAULT, YB_JDBC_OAUTH2_TOKEN_CACHE, YB_JDBC_OAUTH2_TOKEN_CACHE_DEFAULT, YB_JDBC_OAUTH2_TOKEN_CACHE_DISABLED, YB_JDBC_OAUTH2_TOKEN_CACHE_FILE, YB_JDBC_OAUTH2_TOKEN_CACHE_MEMORY, YB_JDBC_OAUTH2_TOKEN_CACHE_OPTIONS, YB_JDBC_OAUTH2_TOKEN_OPTIONS, YB_JDBC_OAUTH2_TOKEN_TYPE, YB_JDBC_OAUTH2_TOKEN_TYPE_ACCESS_TOKEN, YB_JDBC_OAUTH2_TOKEN_TYPE_DEFAULT, YB_JDBC_OAUTH2_TOKEN_TYPE_ID_TOKEN, YB_URL_PREFIX`

### Constructor Summary

Constructors
`OAuth2Authorizer​(DriverConfiguration driverConfiguration, String url, Properties info)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `browse​(String url)`
`io.yellowbrick.jdbc.oauth2.OAuth2Authorizer.Endpoints` `getAuthorizationEndpoints()`
`Token` `getOAuth2AccessToken()`
`Token` `refreshOAuth2AccessToken​(String refreshToken)`
`protected void` `trace​(String fmt, Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuth2Authorizer

    public OAuth2Authorizer​(DriverConfiguration driverConfiguration,
                            String url,
                            Properties info)
                     throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getOAuth2AccessToken

    public Token getOAuth2AccessToken()
                               throws SQLException

Throws:
  `SQLException`

#### refreshOAuth2AccessToken

    public Token refreshOAuth2AccessToken​(String refreshToken)
                                   throws SQLException

Throws:
  `SQLException`

#### trace

    protected void trace​(String fmt,
                         Object... args)

#### browse

    public static void browse​(String url)
                       throws Exception

Throws:
  `Exception`

#### getAuthorizationEndpoints

    public io.yellowbrick.jdbc.oauth2.OAuth2Authorizer.Endpoints getAuthorizationEndpoints()
                                                                                    throws Exception

Throws:
  `Exception`